# Das Handbuch zu &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Thomas
Reitelbach

    tr@erdfunkstelle.de

Deutsche Übersetzung
Stefan
Doll

    sdoll4@yahoo.com

Deutsche Übersetzung
2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
2010
2011
&Kurt.Hindenburg;
&FDLNotice;
2012-05-27
2.9 (&kde; 4.9)

&konsole; ist der Terminal-Emulator für KDE.

KDE
konsole
kdebase
command
line
terminal
cli

## Einführung

### Was ist ein Terminal?

&konsole; ist ein X-Terminal-Emulator, oftmals auch einfach nur als Terminal oder Shell bezeichnet. Es emuliert die Befehlszeile in einem Textfenster.

&konsole; führt normalerweise eine Befehlsshell aus, das ist ein Programm, das die von Ihnen eingegebenen Befehle ausführt. Die von &konsole; ausgeführte Shell ist in Ihren Benutzereinstellungen festgelegt. Lesen Sie in der Dokumentation zu Ihrem Betriebssystem nach, welche Shell verwendet wird, wie sie eingerichtet und benutzt werden kann.

### Verlaufsspeicher

&konsole; verwendet einen sogenannten Verlaufsspeicher, damit man bereits durchgelaufene Terminal-Ausgaben durchsehen kann. Der Verlaufsspeicher ist in der Voreinstellung aktiviert und speichert maximal 1000 Zeilen (zusätzlich zu dem Text, der aktuell im Terminal-Fenster zu sehen ist). Text, der nicht mehr im Konsole-Fenster dargestellt wird, lässt sich mit Hilfe der Bildlaufleiste wieder sichtbar machen Die Bildlaufleiste lässt sich mit dem Mauszeiger, dem Mausrad und auch über Tastenkombinationen &Shift;Bild auf (eine Seite nach oben), &Shift;Bild ab (eine Seite nach unten), &Shift;Pfeil hoch (eine Zeile nach oben) und &Shift;Pfeil runter (eine Zeile nach unten) bewegen.

### Profile

Profile ermöglichen das schnelle und automatische Ausführen häufiger Befehle. Hier einige Beispiele:

- SSH auf einen Fremdrechner

- Starten einer IRC-Sitzung

- Eine Datei mittels ‚tail‘ überwachen

Vorgehensweise zum Erzeugen eines neuen Profils:

1. Klicken Sie auf Einstellungen Profile verwalten ...

2. Klicken Sie auf den Knopf Neues Profil ....

3. Geben Sie in das erste Eingabefeld einen Namen ein. Dieser Name wird später im Menü angezeigt und die Voreinstellung für die Bezeichnung anstelle von Befehlsfenster sein, wenn Sie eine Sitzung dieses Typs öffnen.

4. Geben Sie nun einen Befehl fein, so als würden Sie diesen in einer Sitzung eingeben. Bei unserem Beispiel lautet die Eingabe: ``ssh` administration`.

5. In den anderen Karteikarten können Sie das Erscheinungsbild der Sitzung anpassen. Sie können eine andere Schrift, ein anderes Farbschema, eine andere Belegung von $`TERM` und viele andere Einstellungen für jede Sitzung festlegen.

6. Drücken Sie auf OK. Die neue Sitzung befindet sich nun in der Sitzungs-Liste im Dialog Profile verwalten.

Alle Profile, bei denen die Einstellung Im Menü anzeigen aktiviert ist, werden im Menü Datei Neues Unterfenster als Einträge in einem Untermenü aufgeführt. Ist nur das Standardprofil aktiviert, wird kein Untermenü angezeigt.

### Maustasten

Dieser Abschnitt behandelt die Verwendung der Mausknöpfe für die übliche Rechtshändlerbelegung. Wenn Sie eine Tastenbelegung für Linkshänder benutzten, tauschen Sie im folgenden Text Rechts und Links aus.

Linke Taste

  Ein Klick der &LMBn; wird an die Anwendung, die in der Sitzung läuft, weitergeleitet. &konsole; benutzt einen Pfeil als Mauszeiger, wenn das Anwendungsprogramm über eine Mausunterstützung verfügt. Anderenfalls wird ein senkrechter Balken (ein Textzeiger) dargestellt.

  Das Bewegen der Maus (=Ziehen) bei gedrückter &LMBr; markiert einen Textabschnitt. Der ausgewählte Text wird dabei invertiert dargestellt. Mit der Funktion Kopieren im Menü Bearbeiten kann der markierte Text in die Zwischenablage kopiert und dann in &konsole; oder einer anderen Anwendung verwendet werden. Es ist außerdem möglich den Text direkt in ein anderes Anwendungsprogramm zu ziehen. Dazu muss der Text zunächst markiert werden. Anschließend wird der markierte Text angeklickt und bei gedrückter Maustaste, in das andere Programm gezogen. Halten Sie die &Ctrl;-Taste gedrückt und ziehen Sie den ausgewählten Text zum Ziel.

  Normalerweise werden Zeilenumbrüche des markierten Textes mit kopiert. Das ist sinnvoll bei Quelltexten (von Programmiersprachen) oder der Ausgabe bestimmter Befehle, aber für gewöhnlichen Text wäre eine Auswahl ohne Zeilenumbrüche günstiger. Eine solche Auswahl lässt sich durch gleichzeitiges Drücken der &Ctrl;-Taste während des Markiervorgangs erzeugen.

  Das Betätigen der &LMBn; bei gleichzeitigem Gedrückthalten der Tasten &Ctrl; und &Alt;, markiert eine Textspalte (Blockauswahl).

  Ein Doppelklick mit der &LMBn; markiert ein Wort - ein Dreifachklick markiert eine ganze Zeile.

  Wird beim Markieren der Mauszeiger auf den oberen oder unteren Rand des Textfelds bewegt, ergibt sich ein Effekt wie beim Bewegen der Bildlaufleiste. &konsole; zeigt dann Text weiter oben, bzw. weiter unten, im Verlaufsspeicher an. Dieses Rollen durch den Verlaufsspeicher endet, sobald die Mausbewegung beendet wird.

  Wird die Maustaste losgelassen, bleibt der ausgewählte Textabschnitt markiert (=invertierte Darstellung). Die Markierung wird aufgehoben, sobald die Zwischenablage verändert wird, eine Änderung des markierten Textes erfolgt oder die &LMB; betätigt wird.

  Bei Anwendungsprogrammen mit Mausunterstützung (zum Beispiel Midnight Commander) muss zusätzlich die &Shift;-Taste betätigt werden, um Text auszuwählen.

Mittlere Taste

  Klicken der &MMBn;, fügt Text aus der Zwischenablage ein. Drücken Sie dabei die &Ctrl;-Taste, wird der Text eingefügt und ein Zeilenumbruch angehängt. Dieses Verhalten ist bei der schnellen Ausführung von eingefügten Befehlen nützlich, kann aber auch zu Fehler führenden und sollte daher mit Vorsicht eingesetzt werden.

  Ist lediglich eine Maus mit zwei Tasten vorhanden, kann die &MMB; durch gleichzeitiges Betätigen der &RMBn; und &LMBn; emuliert werden.

  Wenn Sie über ein Mausrad als mittlere Taste verfügen, führt das Bewegen des Mausrades in Anwendungen, die nicht über eine Mausrad-Unterstützung verfügen, zum Blättern der Bildlaufleiste von &konsole;.

Rechte Taste

  Diese Einträge erscheinen im Kontextmenü, wenn die &RMB; gedrückt wird: Kopieren, Einfügen, Dateimanager öffnen, Kodierung festlegen, Verlaufsspeicher leeren, Verlauf anpassen ..., Menüleiste anzeigen, Profil wechseln, Aktuelles Profil bearbeiten ... und Unterfenster schließen.

  In einer Anwendung mit Mausunterstützung erhalten Sie das Kontextmenü durch Klicken mit der rechten Maustaste bei gedrückter Umschalt-Taste.

## Befehlsreferenz

### Die Menüleiste

Die Menüleiste befindet sich am oberen Rand des &konsole;-Fensters. Wenn die Menüleiste ausgeblendet ist, können Sie sie wieder anzeigen lassen, indem Sie das Kontextmenü mit der &RMBn; aufrufen und den Eintrag Menüleiste anzeigen auswählen.

#### Das Menü Datei

&Ctrl;&Shift;N Datei Neues Fenster

  Öffnet ein neues &konsole;-Fenster mit dem Standardprofil

&Ctrl;&Shift;T Datei Neues Unterfenster

  Öffnet ein neues Unterfenster mit dem Standardprofil

  Das Standardprofil von &konsole; heißt Shell. Alle vom Benutzer hinzugefügten Profile erhalten einen eigenen Eintrag im Untermenü. Ist nur das Standardprofil definiert, gibt es kein Untermenü.

Datei Unterfenster duplizieren

  Öffnet ein neues Unterfenster mit dem gleichen Inhalt wie das aktuelle Unterfenster.

Datei Ausgabe speichern als ...

  Speichert den aktuellen Verlaufsspeicher in einer Text- oder &HTML;-Datei.

Datei Dateimanager öffnen

  Öffnet die Dateiverwaltung von &kde; mit dem aktuellen Arbeitsordner der Terminalsitzung. Die voreingestellte Anwendung dafür ist &dolphin;.

&Ctrl;&Shift;W Datei Unterfenster schließen

  Schließt das aktive Unterfenster

&Ctrl;&Shift;Q Datei Fenster schließen

  Beendet &konsole;

  &konsole; zeigt eine Bestätigungsdialog an, wenn mehrere Unterfenster geöffnet sind. Falls Sie diesen Dialog deaktivieren möchten, so markieren Sie die Option Diese Nachfrage nicht mehr anzeigen.

#### Das Menü Bearbeiten

&Ctrl;&Shift;C Bearbeiten Kopieren

  Kopiert den ausgewählten Text in die Zwischenablage.

&Ctrl;&Shift;V Bearbeiten Einfügen

  Fügt Text aus der Zwischenablage an der Cursor-Position ein.

Bearbeiten Alles auswählen

  Wählt den gesamten Text im aktuellen Fenstern aus.

Eingabe kopieren nach Alle Unterfenster im aktuellen Fenster

  Eingaben, die in der aktuellen Sitzung gemacht werden, werden gleichzeitig auch an alle Unterfenster im aktuellen Fenster gesendet.

&Ctrl;&Shift;. Eingabe kopieren nach Unterfenster auswählen ...

  Eingaben, die in der aktuellen Sitzung gemacht werden, werden gleichzeitig auch an alle ausgewählten Unterfenster gesendet.

&Ctrl;&Shift;/ Eingabe kopieren nach Keine

  Eingabedaten aus der aktuellen Sitzung werden nicht an andere Sitzungen gesendet.

&Ctrl;&Alt;S Bearbeiten Unterfenster umbenennen ...

  Öffnet ein Dialogfenster, mit dem der Name der aktuellen Sitzung geändert werden kann. Weitere Informationen dazu finden Sie im Kapitel Unterfenster umbenennen.

&Ctrl;&Alt;U Bearbeiten ZModem Upload ...

  Öffnet einen Dialog zur Auswahl einer Datei, die hochgeladen werden soll, wenn die erforderliche Software installiert ist.

&Ctrl;&Shift;F Bearbeiten Suchen ...

  Öffnet die Suchleiste unten im Fenster von &konsole;

  Damit können Sie unter Beachtung von Groß- und Kleinschreibung, vorwärts, rückwärts und mit regulären Ausdrücken suchen.

F3 Bearbeiten Weitersuchen

  Geht zur nächsten Fundstelle des Suchmusters.

&Shift;F3 Bearbeiten Frühere suchen

  Geht zur vorherigen Fundstelle des Suchmusters.

#### Das Menü Ansicht

&Ctrl;( Ansicht Ansicht teilen Ansicht Links/Rechts teilen

  Teilt die Unterfenster in eine linke und rechte Ansicht

  Alle Ausgaben in der einen Ansicht sind auch in der anderen Ansicht zu sehen.

&Ctrl;) Ansicht Ansicht teilen Ansicht Oben/Unten teilen

  Teilt die Unterfenster in eine obere und untere Ansicht

  Alle Ausgaben in der einen Ansicht sind auch in der anderen Ansicht zu sehen.

&Ctrl;&Shift;S Ansicht Ansicht teilen Aktive Ansicht schließen

  Schließt die aktive Ansicht

&Ctrl;&Shift;O Ansicht Ansicht teilen Andere Ansichten schließen

  Schließt alle anderen, nicht aktiven Ansichten

&Ctrl;&Shift;] Ansicht Ansicht teilen Ansicht vergrößern

  Vergrößert den Bereich für die aktive Ansicht (wodurch die anderen Ansichten verkleinert werden)

&Ctrl;&Shift;[ Ansicht Ansicht teilen Ansicht verkleinern

  Verkleinert den Bereich für die aktive Ansicht (wodurch die anderen Ansichten vergrößert werden)

&Ctrl;&Shift;H Ansicht Aktuelles Unterfenster verselbständigen

  Öffnet das aktuelle Unterfenster in einem neuen, eigenständigen Fenster

  Das Beenden des vorherigen &konsole;-Fensters wird die neue, nun eigenständige Sitzung nicht beeinträchtigen (sie wird nicht geschlossen).

&Ctrl;&Shift;I Ansicht Auf Inaktivität überwachen

  Schaltet die Überwachung des aktuellen Unterfensters auf Inaktivität ein und aus.

  In der Voreinstellung wird nach 10 Sekunden ohne Aktivität ein Symbol auf dem Karteireiter des Unterfensters angezeigt. Der Art des Alarms können Sie mit Einstellungen Benachrichtigungen festlegen ...Keine Aktivität in überwachter Sitzung einstellen.

&Ctrl;&Shift;A Ansicht Auf Aktivität überwachen

  Schaltet die Überwachung des aktuellen Unterfensters auf Aktivität ein und aus.

  In der Voreinstellung wird bei Aktivität ein Symbol auf dem Karteireiter des Unterfensters angezeigt. Der Art des Alarms können Sie mit Einstellungen Benachrichtigungen festlegen ...Aktivität in überwachter Sitzung einstellen.

&Ctrl;+ Ansicht Schrift vergrößern

  Vergrößert die angezeigte Schrift

&Ctrl;- Ansicht Schrift verkleinern

  Verkleinert die angezeigte Schrift

Ansicht Kodierung festlegen

  Stellt die Zeichenkodierung ein

Ansicht Verlaufsspeicher leeren

  Leert den Bildschirminhalt des aktuellen Unterfensters

&Ctrl;&Shift;K Ansicht Verlaufsspeicher leeren und zurücksetzen

  Leert den Verlaufsspeicher für das aktuelle Unterfenster und setzt das Terminal zurück.

#### Das Menü Lesezeichen

&Ctrl;&Shift;B Lesezeichen Lesezeichen hinzufügen

  Fügt den aktuellen Pfad als Lesezeichen ein.

Lesezeichen Unterfenster als Lesezeichenordner ...

  Fügt alle geöffneten Unterfenster als Lesezeichenorder ein.

  Den Namen für den neuen Lesezeichenordner geben Sie in einem Dialog ein.

Lesezeichen Neuer Lesezeichenordner ...

  Erzeugt einen neuen Ordner in der Lesezeichen-Liste.

  Den Namen für den neuen Lesezeichenordner geben Sie in einem Dialog ein.

Lesezeichen Lesezeichen bearbeiten

  Öffnet den Lesezeichen-Editor.

  Sie können den Lesezeichen-Editor verwenden, um manuell URLs einzutragen, die folgenden werden von &konsole; unterstützt:

  - ssh://user@host:port

  - telnet://user@host:port

#### Das Menü Einstellungen

Einstellungen Aktuelles Profil bearbeiten ...

  Öffnet einen Dialog zur Einstellung des aktuellen Profils.

Einstellungen Profil wechseln

  Wechselt das aktuelle Profile zu einem Profil aus der Liste

Einstellungen Profile verwalten ...

  Öffnet einen Dialog zur Verwaltung von Profilen.

&Ctrl;&Shift;M Einstellungen Menüleiste anzeigen

  Zeigt die Menüleiste an bzw. blendet sie aus.

Einstellungen Vollbildmodus

  Schaltet den Vollbildmodus für &konsole; an bzw. wieder aus

Einstellungen Kurzbefehle festlegen ...

  Öffnet einen Dialog zur Einstellung der Kurzbefehle.

Einstellungen Benachrichtigungen festlegen ...

  Öffnet einen Dialog zur Bearbeitung von Benachrichtigungen.

Einstellungen &konsole; einrichten ...

  Öffnet einen Dialog zur Einrichtung von &konsole;.

#### Das Menü Hilfe

&help.menu.documentation;

### Der Dialog „Unterfenster umbenennen“

In diesem Dialog kann der Name des aktuellen Unterfensters geändert werden. Dieser Dialog kann über das Menü, den Kurzbefehl &Ctrl;&Alt;S oder durch Doppelklicken auf den Karteireiter des Unterfensters geöffnet werden. Werden die Namen der Unterfenster im aktuellen Profil geändert, so bleiben diese Einstellungen dauerhaft erhalten.

&konsole; ersetzt folgende Zeichen durch Werte:

- %n : Programmname

- %d : Aktueller Ordner (Kurzform)

- %D : Aktueller Ordner (Langform)

- %w : Durch Shell gesetzter Fenstertitel

- %# : Sitzungsnummer

- %u : Benutzername

Beispiele:

- `%d : %n` mit /usr/src als aktuellem Arbeitsordner und dem laufenden Programm bash im ersten Unterfenster wird als /usr/s : bash angezeigt.

- `%D : %n` mit /usr/src als aktuellem Arbeitsordner und dem laufenden Programm top im ersten Unterfenster wird als /usr/src : top angezeigt.

- `%w (%#)` mit ~ als aktuellem Arbeitsordner und den laufenden Programm vim im ersten Unterfenster wird als [Kein Name] ~ - vim(1) angezeigt.

### Der Dialog „Eingabe kopieren“

Der in einem Unterfenster eingegebene Text kann gleichzeitig an andere Unterfenster gesendet werden. In diesem Dialog wird eingestellt, welche Unterfenster die Eingabe erhalten. Das aktuelle Unterfenster kann nicht ausgewählt werden und wird in grauer Farbe angezeigt.

### Der Dialog „Verlauf-Einstellungen“

In diesem Dialog kann die Größe des Verlaufs geändert werden. Alle Änderungen betreffen nur das aktuelle Unterfenster und werden nicht im Profil gespeichert.

## Befehlszeilenparameter

Wird &konsole; von der Befehlszeile gestartet, lässt sich das Verhalten des Programms über verschiedene Parametern beeinflussen.

`--help`

  Zeigt eine Liste der verfügbaren Parameter an.

`--profile` `Datei`

  Startet &konsole; mit dem angegebenen Profil anstatt des Standardprofils.

`--list-profiles`

  Listet alle verfügbaren Profile auf.

`--list-profile-properties`

  Zeigt eine Liste mit allen möglichen Profileigenschaften mit Name und Typ an. Sie auch die Option `-p` .

  Weitere Informationen finden Sie in der API-Referenz zu &konsole;.

`--background-mode`

  &konsole; im Hintergrund starten und hervorholen, wenn &Ctrl;&Shift;F12 (Standard) gedrückt wird.

`--new-tab`

  Unterfenster in vorhandenem Fenster anstelle eines neuen Fensters öffnen

`--tabs-from-file` `Datei`

  Erstellt Unterfenster mit den Angaben aus der Einrichtungsdatei für Unterfenster.

  Die Datei enthält für jedes Unterfenster eine Zeile im folgenden Format:

  title: Titel ;; command: Befehl ;; workdir: Startordner

`--workdir` `Startordner`

  Startet im Arbeitsordner `Startordner`.

`--show-menubar`

  Zeigt die Menüleiste an und überschreibt das Standardverhalten.

`--hide-menubar`

  Blendet die Menüleiste aus und überschreibt das Standardverhalten.

`--show-tabbar`

  Zeigt die Unterfensterleiste an und überschreibt das Standardverhalten.

`--hide-tabbar`

  Blendet die Unterfensterleiste aus und überschreibt das Standardverhalten.

`--notransparency`

  Keinen transparenten Hintergrund verwenden, auch wenn dies vom System unterstützt wird.

`--hold, --noclose`

  Die erste Sitzung nicht automatisch schließen, nachdem sie beendet wurde.

`-p` `property=Wert`

  Den Wert einer Profil-Eigenschaft ändern.

`-e` `Befehl`

  Führt `Befehl` aus anstelle eines Befehlsfensters.

  Diese Option übernimmt alle folgenden an &konsole; übergebenen Parameter und führt sie mit dem `Befehl` aus. Daher sollte diese Option immer zuletzt angegeben werden.

`--nofork`

  Nicht im Hintergrund ausführen. Benutzen Sie diese Einstellung, um das Verhalten anderer Terminalemulatoren nachzumachen.

&konsole; versteht auch allgemeine &Qt;- und &kde;-Parameter:

`--help-qt`

  Zeigt &Qt;-spezifische Parameter an

Die folgenden Parameter für &Qt; haben keine Auswirkung auf &konsole;:

`--fn`, `--font` `Schriftname`

  Legt die Schriftart für die Anwendung fest.

`--bg`, `--background` `Farbe`

  Legt die Standard-Hintergrundfarbe fest.

`--fg`, `--foreground` `Farbe`

  Legt die Standard-Vordergrundfarbe fest

`--btn`, `--button` `Farbe`

  Legt die Standardfarbe für Knöpfe fest

`--help-kde`

  Zeigt &kde;-spezifische Parameter an

`--help-all`

  Zeigt alle Parameter an

`--author`

  Zeigt die Namen der Autoren an

`-v,--version`

  Anzeige der Versionsnummer

`--license`

  Anzeige der Lizenz unter der &konsole; steht

## Skripte für &konsole;

In &kde; 4 wurde &DCOP; durch &DBus; ersetzt, &konsole; unterstützt zahlreiche Methoden, die mit &DBus; benutzt werden können.

Es gibt zwei Möglichkeiten die &DBus;-Schnittstelle zu verwenden: &Qt;'s &GUI;-Programm qdbusviewer und auf der Befehlszeile qdbus.

Beispiele:

- &percnt; `qdbus` zeigt alle verfügbaren Dienste an.

- &percnt; `qdbus` `org.kde.konsole` zeigt die &DBus;-Schnittstelle für &konsole;.

- &percnt; `qdbus` `org.kde.konsole /Windows/1` zeigt die Methoden für das Fenster 1.

  /Konsole wurde früher zur Steuerung des ersten Fensters benutzt, das ist jedoch ein Entwurfsfehler in der Software. Bitte benutzen Sie dies nicht mehr für diesen Zweck und aktualisieren Sie bitte vorhaltende Skripte.

- &percnt; `qdbus` `org.kde.konsole /Sessions/1` zeigt die Methoden für die Sitzung 1.

Wenn Sie &konsole; in einem Terminal starten, müssen Sie `org.kde.konsole-`pidof -s konsole`` statt `org.kde.konsole` benutzen.

Weiterführende Informationen finden Sie auf den Webseiten &DBus;-Anleitung.

## Fragen, bekannte Probleme und Mehr

### Wussten Sie schon ?

- Drücken Sie &Ctrl;-Taste bei der Auswahl von Text, dann werden beim Einfügen Zeilenumbrüche durch Leerzeichen ersetzt.

- Drücken der Tasten &Ctrl;&Alt; bei der Textauswahl mit der &LMBn; markiert eine Textspalte (Blockauswahl).

- Die Kombination &Ctrl;Mausrad ändert die Schriftgröße wie in &konqueror; oder Firefox.

- Wenn ein Programm beide Maustasten auswertet, erscheint beim Drücken der &Shift;taste ein Kontextmenü.

- Der Kurzbefehl &Ctrl;&Shift;F10 aktiviert das Menü.

- Der Kurzbefehl &Shift;Einfg fügt den Inhalt der Zwischenablage ein.

- Doppelklicken wählt ein ganzes Wort aus. Halten Sie die Maustaste gedrückt und bewegen den Mauszeiger, dann wird die Auswahl erweitert.

- Dreimal klicken wählt die gesamte Zeile aus. Halten Sie die Maustaste gedrückt und bewegen den Mauszeiger, dann wird die Auswahl erweitert.

- Für die Beschriftung eines Karteireiters gibt es eine versteckte Funktion für das Format „%d“. Sie können vorgeben, dass &konsole; den Namen eines Ordners bei der Anzeige bis zum ersten Buchstaben abkürzt. „Pfad/zu/konsole/src“ kann zum Beispiel als „konsole/s“ abgekürzt werden. Um diese versteckte Funktion zu verwenden, öffnen Sie `~/.kde4/share/config/konsolerc` und fügen die folgenden Zeilen ein:

      [ProcessInfo]
      CommonDirNames=name1,name2,name3...

  Benutzen Sie Yakuake, dann müssen Sie diese Zeilen in `~/.kde4/share/config/yakuakerc` einfügen.

### Bekannte Probleme

- In der Standardeinstellung läuft &konsole; im Hintergrund, wenn das Programm in einem Terminal gestartet wurde. Benutzen Sie `--nofork`, um &konsole; im Vordergrund laufen zu lassen.

  Dies Verhalten ist nötig, damit einige Skripte und Befehle wie erwartet funktionieren:

  - `konsole --nofork -e sleep 3 ; echo 1`

  - `kdesu -u kdeuser konsole --nofork`

- Einige Schriftarten können in &konsole; nicht ausgewählt werden, obwohl sie in anderen Anwendungen verfügbar sind. Das ist kein Fehler in &konsole;. &konsole; benutzt nichtproportionale Schriften mit fester Zeichenbreite, damit die Anzeige am besten lesbar ist. Daher werden nur die in &Qt; verfügbaren Schriften mit fester Breite zur Auswahl angeboten.

  Sind Sie sicher, das es eine Schrift mit fester Breite nicht in &konsole; verfügbar ist, berichten Sie diesen Fehler bei &Qt;.

- In KDE 3 wurde jedes Unterfenster in einem eigenen Prozess ausgeführt. In KDE 4 jedoch benutzen alle Unterfenster den gleichen Prozess. Das führt dazu, dass alle anderen Unterfenster eventuell betroffen sind, wenn es Probleme mit dem Prozess in einem Unterfenster gibt.

  Dies tritt häufig bei Befehlen auf, die bei der Verbindung zu externen Geräten oder Systemen (ssh, nfs) nicht fehlerfrei funktionieren.

- &konsole; behandelt Argumente nach der Option `-e` als einen Befehl und führt ihn direkt aus, anstatt ihn einzulesen und in einzelne Befehle zu zerlegen, die dann ausgeführt werden. Dieses Verhalten unterscheidet sich vom Programm xterm.

  - `konsole -e "command1 ; command2"` funktioniert nicht

  - `konsole -e $SHELL -c "command1 ; command2"` funktioniert

- &konsole; hat keine Funktion, um als Anmeldungsshell ausgeführt zu werden, da den Entwicklern diese Funktion nicht gefällt.

  Natürlich können Benutzer eine Anmeldungsshell in &konsole; trotzdem bei Bedarf starten. Bearbeiten Sie das verwendete Profil und ändern Sie den beim Start einer Sitzung ausgeführten Befehl, so dass eine Anmeldungsshell gestartet wird, zum Beispiel wie „`bash -l`“ oder „`zsh -l`“.

- Die Option `--new-tab` verhält sich manchmal merkwürdig. Damit wird manchmal ein neuer Fenster oder ein neues Unterfenster in einem anderen &konsole;-Fenster statt in dem aktuellen &konsole;-Fenster erzeugt.

  Dies Verhalten erscheint merkwürdig, ist aber nicht zwingend ein Fehler. Die Option `--new-tab` versucht vorhandene &konsole;-Fenster wiederzuverwenden, das ist aber nicht bei allen &konsole;-Fenster möglich. Alle durch &krunner; geöffneten &konsole;-Fenster können wiederverwendet werden, im Gegensatz zu den meisten &konsole;-Fenster, die von der Befehlszeile aus geöffnet wurden.

## Mitwirkende und Copyright

&konsole; wird zurzeit von &Kurt.Hindenburg; &Kurt.Hindenburg.mail; betreut.

Zuvor wurde &konsole; betreut von &Robert.Knight; &Robert.Knight.mail;und &Waldo.Bastian; &Waldo.Bastian.mail;

Die Anwendung &konsole; Copyright © 1997-2008 &Lars.Doelle; &Lars.Doelle.mail;

Dieses Dokument wurde erstellt von &Jonathan.Singer;&Jonathan.Singer.mail;

Dieses Dokument wurde für &kde; 4.x von &Kurt.Hindenburg; &Kurt.Hindenburg.mail; aktualisiert.

Dieses Dokument wurde für &kde; 3.4 von &Kurt.Hindenburg; &Kurt.Hindenburg.mail; aktualisiert.

Konvertiert zu DocBook SGML von &Mike.McBride; und &Lauri.Watts;

Deutsche Übersetzung von Stefan Doll stefan@laugenweck.de

&underFDL; &underGPL;

## Verknüpfungen

Weiterführende Informationen finden Sie auf diesen Webseiten:

- &konsole;'s Webseite auf &kde;'s UserBase

- &konsole;'s Webseite

- &konsole;'s Mailingliste

- &kde; auf FreeBSD

- &kde; auf &Solaris;

&documentation.index;